Bug 348554 - Qt5/KF5 port install marble plugins for designer in wrong path
Summary: Qt5/KF5 port install marble plugins for designer in wrong path
Status: REPORTED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-01 18:38 UTC by Gustavo Alvarez
Modified: 2021-03-09 22:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Alvarez 2015-06-01 18:38:52 UTC
when build a Qt5/KF5 port of marble, if enable the installation/build of designer pluins, these plugins has installed in a wrong path. Qt designer plugins is installed in:

 /foo/lib(foo)/plugins/designer

instead of

/foo/lib(foo)/qt/plugins/designer

http://quickgit.kde.org/?p=marble.git&a=blob&h=86aa8ab4e3fb87864f073e163c0d2552500c6c04&hb=302efc0d343a40240c32167f1642d4992a743f66&f=CMakeLists.txt#l163

Reproducible: Always

Steps to Reproduce:
1.download marble from git and set a qt5/kf5 steps for build
2.build
3.see the installed files

Actual Results:  
see the designer plugins installed in a wrong path

Expected Results:  
installing the designer plugins in a right path
Comment 1 Antonio Rojas 2015-09-18 14:30:33 UTC
Review request:
https://git.reviewboard.kde.org/r/125299/

This will allow overriding the now hardcoded QT_PLUGINS_DIR with a cmake flag. A better solution would be provided by the QT_PLUGINS_INSTALL_DIR variable, but that requires an unconditional dependency on extra-cmake-modules
Comment 2 Alexander Potashev 2015-09-19 22:16:40 UTC
Git commit f59d559347fea1e2ada00e111f1faaaa74151614 by Alexander Potashev, on behalf of Antonio Rojas.
Committed on 19/09/2015 at 22:14.
Pushed by aspotashev into branch 'master'.

Allow overriding Qt designer plugins install dir

Allow specifying a custom QT_PLUGINS_DIR in the cmake command and don't
overwrite it.

Testing Done:
  Builds and installs the plugins in the directory specified in the
  QT_PLUGINS_DIR cmake variable.

REVIEW: 125299

M  +1    -1    CMakeLists.txt

http://commits.kde.org/marble/f59d559347fea1e2ada00e111f1faaaa74151614
Comment 3 Justin Zobel 2021-03-09 22:51:25 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.